List Payment MethodsCopy Pageget https://api.routable.com/v1/companies/{company_id}/payment-methodsReturns a list of PaymentMethods that were previously created.Path Paramscompany_iduuidrequiredThe Company ID.Query Paramsarchival_statusstringenumFilter by archival status. When omitted, no archival status filter is applied. NOTE: Filters for system and team_member-archived PaymentMethods can only return invalid PaymentMethods. Therefore, unless you also pass is_valid=false, its default, is_valid=true, will ensure you receive no returned PaymentMethods. ValueDescriptionnot_archivedOnly active (non-archived) accounts.systemOnly system-archived accounts (cannot be unarchived).team_memberOnly accounts archived by a TeamMember (can be unarchived).not_archivedsystemteam_memberAllowed:not_archivedsystemteam_memberis_validstringenumDefaults to trueFilter by whether the PaymentMethod can be used for payments. Pass all to return all PaymentMethods regardless of validity. ValueDescriptionallFetch all PaymentMethods regardless of validity.falseFetch only invalid PaymentMethods.trueFetch only valid PaymentMethods.allfalsetrueAllowed:trueallfalsetruepageinteger≥ 1Defaults to 1Retrieve a specific page of a List.page_sizeinteger1 to 100Defaults to 10Set the number of results per page of a List.verification_statusstringenumFilter by verification status. ValueDescriptionfailedVerification failed.not_verifiedAccounts not yet verified or not requiring verification.pendingVerification in progress (micro-deposits pending).verifiedSuccessfully verified accounts.failednot_verifiedpendingverifiedAllowed:failednot_verifiedpendingverifiedResponse 200OKUpdated 4 days ago